package com.develou.hilt1.cards

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.fragment.app.Fragment
import com.develou.hilt1.R
import com.develou.hilt1.data.CardsLocalStore
import dagger.hilt.android.AndroidEntryPoint
import javax.inject.Inject

@AndroidEntryPoint
class CardsFragment : Fragment() {

    @Inject
    lateinit var cardsLocalStore: CardsLocalStore


    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.cards_fragment, container, false)
    }

    override fun onActivityCreated(savedInstanceState: Bundle?) {
        super.onActivityCreated(savedInstanceState)
        // Setups
    }

    override fun onResume() {
        super.onResume()
        val cards = cardsLocalStore.getLocalCards()
        view?.findViewById<TextView>(R.id.cards_list)?.let {
            it.text = cards.joinToString(separator = "\n")
        }
    }
}